## net.sf.saxon
Class Query

    java.lang.Object
      net.sf.saxon.Query

Direct Known Subclasses:
  JDOMQuery

public class Query
extends java.lang.Object

This Query class provides a command-line interface to the Saxon XQuery processor.

The XQuery syntax supported conforms to the W3C XQuery 1.0 drafts.

Constructor Summary
`Query()`

Method Summary
`protected void` `badUsage(java.lang.String name, java.lang.String message)` Report incorrect usage of the command line, with a list of the options and arguments that are available
`protected void` `doMain(java.lang.String[] args, java.lang.String name)` Support method for main program.
`protected Configuration` `getConfiguration()` Get the configuration in use
`static void` `main(java.lang.String[] args)` Main program, can be used directly from the command line.
`protected Configuration` `makeConfiguration()` Set the configuration.
`protected static void` `quit(java.lang.String message, int code)` Exit with a message
`void` `setPOption(Configuration config)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Query

    public Query()

Method Detail

### makeConfiguration

    protected Configuration makeConfiguration()

  Set the configuration. This is designed to be overridden in a subclass

### getConfiguration

    protected Configuration getConfiguration()

  Get the configuration in use

  Returns:
    the configuration

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Main program, can be used directly from the command line.

  The format is:

  java net.sf.saxon.Query [options] query-file >output-file

  followed by any number of parameters in the form {keyword=value}... which can be referenced from within the query.

  This program executes the query in query-file.

  Parameters:
    `args` - List of arguments supplied on operating system command line
  Throws:
    `java.lang.Exception` - Indicates that a compile-time or run-time error occurred

### doMain

    protected void doMain(java.lang.String[] args,
                          java.lang.String name)

  Support method for main program. This support method can also be invoked from subclasses that support the same command line interface

  Parameters:
    `args` - the command-line arguments
    `name` - name of the class, to be used in error messages

### quit

    protected static void quit(java.lang.String message,
                               int code)

  Exit with a message

  Parameters:
    `message` - The message to be output
    `code` - The result code to be returned to the operating system shell

### setPOption

    public void setPOption(Configuration config)

### badUsage

    protected void badUsage(java.lang.String name,
                            java.lang.String message)

  Report incorrect usage of the command line, with a list of the options and arguments that are available

  Parameters:
    `name` - The name of the command being executed (allows subclassing)
    `message` - The error message